# __gnu_parallel::_EqualFromLess< _T1, _T2, _Compare > Class Template Reference

Constructs predicate for equality from strict weak ordering predicate. More...

Inheritance diagram for __gnu_parallel::_EqualFromLess< _T1, _T2, _Compare >:
[legend]

List of all members.

## Public Types

- typedef _T1 first_argument_type
- typedef bool result_type
- typedef _T2 second_argument_type

## Public Member Functions

- _EqualFromLess (_Compare &__comp)
- bool operator() (const _T1 &__a, const _T2 &__b)

## Detailed Description

### template<typename _T1, typename _T2, typename _Compare>
class __gnu_parallel::_EqualFromLess< _T1, _T2, _Compare >

Constructs predicate for equality from strict weak ordering predicate.

Definition at line 157 of file parallel/base.h.

## Member Typedef Documentation

typedef _T1 std::binary_function< _T1 , _T2 , bool >::first_argument_type `[inherited]`

the type of the first argument /// (no surprises here)

Definition at line 114 of file stl_function.h.

typedef bool std::binary_function< _T1 , _T2 , bool >::result_type `[inherited]`

type of the return type

Definition at line 118 of file stl_function.h.

typedef _T2 std::binary_function< _T1 , _T2 , bool >::second_argument_type `[inherited]`

the type of the second argument

Definition at line 117 of file stl_function.h.

The documentation for this class was generated from the following file:

- parallel/base.h